> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addPayrollTaxExemption

> Used to add a tax exemption to prevent tax withholding for particular employer and employee taxes

### What it does

- Prevents employee or employer taxes being calculated and withheld when the employee or employer is exempt from a specific tax
- Allows file upload with supporting evidence for the tax exemption
- Can be used to add exemptions to companies or to employees by adding **userId**

### Notes:
- Use the `getTaxExemptionNames` to retrieve the taxExemptions that can be applied to an employee or company
- ExemptConfirmation is a legal confirmation that the details provided regarding the employee or employers tax exemption are correct and accurate
- The taxName must be applicable to the employee or the employer (federal and state) to be added as an exemption
- **exemptionEffectiveStartDate** must be today or a future date



## OpenAPI

````yaml post /payroll/addPayrollTaxExemption
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /payroll/addPayrollTaxExemption:
    post:
      tags: []
      summary: addPayrollTaxExemption
      description: >-
        Used to add a tax exemption to prevent tax withholding for particular
        employer and employee taxes


        ### What it does


        - Prevents employee or employer taxes being calculated and withheld when
        the employee or employer is exempt from a specific tax

        - Allows file upload with supporting evidence for the tax exemption

        - Can be used to add exemptions to companies or to employees by adding
        **userId**


        ### Notes:

        - Use the `getTaxExemptionNames` to retrieve the taxExemptions that can
        be applied to an employee or company

        - ExemptConfirmation is a legal confirmation that the details provided
        regarding the employee or employers tax exemption are correct and
        accurate

        - The taxName must be applicable to the employee or the employer
        (federal and state) to be added as an exemption

        - **exemptionEffectiveStartDate** must be today or a future date
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                userId:
                  type: string
                taxName:
                  type: string
                exemptionEffectiveStartDate:
                  type: string
                exemptionEffectiveEndDate:
                  type: string
                exemptReason:
                  type: string
                exemptConfirmation:
                  type: boolean
                fileName:
                  type: string
                fileBase64:
                  type: string
              required:
                - method
                - companyId
                - taxName
                - exemptionEffectiveStartDate
                - exemptReason
                - exemptConfirmation
            example:
              method: addPayrollTaxExemption
              companyId: ECF1B47E-108F-45C0-A520-6A128A727B04
              userId: 33820169-85C2-482A-BCCF-B2281419E96E
              taxName: WA - State paid family medical leave ER
              exemptionEffectiveStartDate: '2026-02-30'
              exemptionEffectiveEndDate: '2025-12-31'
              exemptReason: Employer claimed exempt on W-4
              exemptConfirmation: true
              fileName: tax.pdf
              fileBase64: >-
                JVBERi0xLjcNCiW1tbW1DQoxIDAgb2JqDQo8PC9UeXBlL0NhdGFsb2cvUGFnZXMgMiAwIFIvTGFuZyhlbikgL1N0cnVjdFRyZWVSb290IDIyIDAgUi9NYXJrSW5mbzw8L01hcmtlZCB0cnVlPj4vTWV0YWRhdGEgMTk3IDAgUi9WaWV3ZXJQcmVmZXJlbmNlcyAxOTggMCBSPj4NCmVuZG9iag0KMiAwIG9iag0KPDwvVHlwZS9QYWdlcy9Db3VudCAxL0tpZHNbIDMgMCBSXSA+Pg0KZW5kb2JqDQozIDAgb2JqDQo8PC9UeXBlL1BhZ2UvUGFyZW50IDIgMCBSL1Jlc291cmNlczw8L0V4dEdTdGF0ZTw8L0dTNSA1IDAgUi9HUzggOCAwIFI+Pi9YT2JqZWN0PDwvSW1hZ2U2IDYgMCBSPj4vRm9udDw8L0YxIDkgMCBSL0YyIDExIDAgUi9GMyAxMyAwIFIvRjQgMTUgMCBSPj4vUHJvY1NldFsvUERGL1RleHQvSW1hZ2VCL0ltYWdlQy9JbWFnZUldID4+L0Fubm90c1sgMjAgMCBSXSAvTWVkaWFCb3hbIDAgMCA2MTIgNzkyXSAvQ29udGVudHMgNCAwIFIvR3JvdXA8PC9UeXBlL0dyb3VwL1MvVHJhbnNwYXJlbmN5L0NTL0RldmljZVJHQj4+L1RhYnMvUy9TdHJ1Y3RQYXJlbnRzIDA+Pg0KZW5kb2JqDQo0IDAgb2JqDQo8PC9GaWx0ZXIvRmxhdGVEZWNvZGUvTGVuZ3RoIDc3Mjc+Pg0Kc3RyZWFtDQp4nL09a48bN5LfDfg/6D4cIC1u2s138xAEcGzH8V7ieGMne7jdxUHxTOxJ7JEzHucB3I+/Kj5arSar2epuycZoNBKb9SDrRRaLqwcvVp999uCbR88er+rPP1998fjRqq6MtJavfr9/78HTl2r15uP9e3XFV0/v31ux1c
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                required:
                  - success
                  - message
              example:
                success: true
                message: Payroll tax exemption for company added successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: >-
                    Invalid taxName 'Regular Tax'. This tax code does not belong
                    to company 'ECF1B47E-108F-45C0-A520-6A128A727B04'. Please
                    provide a valid tax name that exists for this company.
          headers: {}
      deprecated: false
      security: []

````